<?php

namespace XenGenTr\XGTHtmlSayfa\pub\Controller;

use XF\Mvc\ParameterBag;
use XF\Pub\Controller\AbstractController;

class HtmlSayfa extends AbstractController
{

    protected function preDispatchController($action, ParameterBag $params)
    {
        if(!\XF::visitor()->canHtmlSayfaGor()) {
            throw $this->exception($this->noPermission());
        }
    }

    public function actionIndex() 
    {
		$options = \XF::options();

		if (!$options->xgtHtmlSayfaEtkin )
		{
			throw $this->exception($this->noPermission());
		}

		$viewParams = [];

        return $this->view('', 'xgt_html_sayfa', $viewParams);
    }
}